Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.xslt
Class ProxyAttrAdapter

    java.lang.Object
      org.apache.struts2.views.xslt.AbstractAdapterNode
          org.apache.struts2.views.xslt.ProxyNodeAdapter
              org.apache.struts2.views.xslt.ProxyAttrAdapter

All Implemented Interfaces:
  AdapterNode, org.w3c.dom.Attr, org.w3c.dom.Node

    public class ProxyAttrAdapter

extends ProxyNodeAdapter
implements org.w3c.dom.Attr

ProxyAttrAdapter is a pass-through adapter for objects which already implement the Attr interface. All methods are proxied to the underlying Node except node traversal (e.g. getParent()) related methods which are implemented by the abstract adapter node to work with the parent adapter.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ProxyAttrAdapter(AdapterFactory factory, AdapterNode parent, org.w3c.dom.Attr value)`

Method Summary
`protected org.w3c.dom.Attr` | `attr()`
`java.lang.String` | `getName()`
`org.w3c.dom.Element` | `getOwnerElement()`
`org.w3c.dom.TypeInfo` | `getSchemaTypeInfo()`
`boolean` | `getSpecified()`
`java.lang.String` | `getValue()`
`boolean` | `isId()`
`void` | `setValue(java.lang.String string)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.struts2.views.xslt.ProxyNodeAdapter
`getAttributes, getLocalName, getNamespaceURI, getNodeName, getNodeType, getNodeValue, getPrefix, hasAttributes, hasChildNodes, isSupported, node, wrap, wrap`

Methods inherited from class org.apache.struts2.views.xslt.AbstractAdapterNode
`appendChild, buildChildAdapters, cloneNode, compareDocumentPosition, getAdapterFactory, getBaseURI, getChildAdapters, getChildAfter, getChildBefore, getChildBeforeOrAfter, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getNextSibling, getOwnerDocument, getParent, getParentNode, getPreviousSibling, getPropertyName, getPropertyValue, getTextContent, getUserData, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, lookupNamespaceURI, lookupPrefix, normalize, operationNotSupported, removeChild, replaceChild, setAdapterFactory, setContext, setNodeValue, setParent, setPrefix, setPropertyName, setPropertyValue, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### ProxyAttrAdapter

    public ProxyAttrAdapter(AdapterFactory factory,
                            AdapterNode parent,
                            org.w3c.dom.Attr value)

Method Detail

### attr

    protected org.w3c.dom.Attr attr()

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.Attr`

### getSpecified

    public boolean getSpecified()

  Specified by:
    `getSpecified` in interface `org.w3c.dom.Attr`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `org.w3c.dom.Attr`

### setValue

    public void setValue(java.lang.String string)
                  throws org.w3c.dom.DOMException

  Specified by:
    `setValue` in interface `org.w3c.dom.Attr`
  Throws:
    `org.w3c.dom.DOMException`

### getOwnerElement

    public org.w3c.dom.Element getOwnerElement()

  Specified by:
    `getOwnerElement` in interface `org.w3c.dom.Attr`

### getSchemaTypeInfo

    public org.w3c.dom.TypeInfo getSchemaTypeInfo()

  Specified by:
    `getSchemaTypeInfo` in interface `org.w3c.dom.Attr`

### isId

    public boolean isId()

  Specified by:
    `isId` in interface `org.w3c.dom.Attr`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ProxyNodeAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.